=== modified file 'olive/log.py'
--- olive/log.py	2006-09-25 16:28:49 +0000
+++ olive/log.py	2006-09-27 17:43:04 +0000
@@ -34,16 +34,16 @@
 
 from bzrlib.plugins.gtk.viz.branchwin import BranchWindow
 
+from dialog import error_dialog
+
 class OliveLog:
     """ Display Log (bzrk) window and perform the needed actions. """
-    def __init__(self, gladefile, comm, dialog):
+    def __init__(self, gladefile, comm):
         """ Initialize the Log (bzrk) window. """
         self.gladefile = gladefile
 
         # Communication object
         self.comm = comm
-        # Dialog object
-        self.dialog = dialog
         
         # Check if current location is a branch
         self.notbranch = False
@@ -60,7 +60,7 @@
     def display(self):
         """ Display the Log (bzrk) window. """
         if self.notbranch:
-            self.dialog.error_dialog(_('Directory is not a branch'),
+            error_dialog(_('Directory is not a branch'),
                                      _('You can perform this action only in a branch.'))
         else:
             window = BranchWindow()

